#ifndef __UART_QUEUE_H
#define __UART_QUEUE_H

/* Includes */

#include "hal_types.h"
#include "hal_board.h"
#include "hal_cc8051.h"

/* Exported constants */

/* Exported functions */

void UartQueue_Initialize(void);

unsigned short UartQueue_Rx_Is_Empty(void);
void UartQueue_Rx_EnQueue(unsigned short data);
unsigned short UartQueue_Rx_DeQueue(void);

unsigned short UartQueue_Tx_Is_Empty(void);
void UartQueue_Tx_EnQueue(unsigned short data);
unsigned short UartQueue_Tx_DeQueue(void);

#endif /* __UART_QUEUE_H */

